using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmInvestigation2CodeGroup {
        public CmInvestigation2CodeGroup() {
            CmInvestigation2 = new HashSet<CmInvestigation2>();
        }

        [Display(Name = "고유번호"), Key]
        public int InvestigationGroupId { get; set; }
        [Display(Name = "정보조사분류명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("CmInvestigation2CodeGroup")]
        public virtual ICollection<CmInvestigation2> CmInvestigation2 { get; set; }
    }
}
